* {
	margin: 0;
	padding: 0;

	box-sizing: border-box;
}
body {
	display: flex;
	justify-content: center;
	align-items: center;

	min-height: 100vh;

	background: linear-gradient(45deg, #ffaf00, #bb02ff);
	background-attachment: fixed;
}

.container {
	position: relative;

	width: 1150px;
	padding: 20px;

	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
}

.container .card {
	position: relative;

	width: 300px;
	height: 420px;
	margin: 20px;

	border-radius: 20px;

	overflow: hidden;

	background: #fff;

	box-shadow: 0 15px 25px rgba(0, 0, 0, 0.2);

	transition: 0.5s;
}
.container:hover .card {
	filter: blur(20px);

	transform: scale(0.9);

	opacity: 0.5;
}

.container .card:hover {
	filter: blur(0px);

	transform: scale(1.1);

	opacity: 1;
}
.container .card .circle {
	background: #000;

	width: 100%;
	height: 100%;

	clip-path: circle(180px at center 0);

	text-align: center;
}

.container .card .circle h2 {
	color: #fff;

	font-size: 4.5em;

	padding: 30px 0;
}

.container .card .content {
	position: absolute;

	bottom: 10px;

	padding: 20px;

	text-align: center;
}

.container .card .content p {
	color: #666;
}

.container .card .content a {
	position: relative;

	display: inline-block;

	padding: 10px 20px;

	background: #000;
	color: #fff;

	border-radius: 40px;

	text-decoration: none;

	margin-top: 20px;
}

.container .card:nth-child(1) .circle,
.container .card:nth-child(1) .content a {
	background: #ffaf00;
}

.container .card:nth-child(2) .circle,
.container .card:nth-child(2) .content a {
	background: #da2268;
}

.container .card:nth-child(3) .circle,
.container .card:nth-child(3) .content a {
	background: #bb02ff;
}
